> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dncscrub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Global Connect Query

> Get information about international phone numbers



## OpenAPI

````yaml GET /v1.5/gc/Query
openapi: 3.0.1
info:
  title: DNCScrub APIs at dataapi.dncscrub.com
  version: '1.5'
servers:
  - url: https://dataapi.dncscrub.com
security:
  - LoginId: []
paths:
  /v1.5/gc/Query:
    get:
      tags:
        - GlobalConnect
      summary: Get Information about the phone number
      parameters:
        - name: internationalCode
          in: query
          description: Country code of the phone number
          schema:
            type: string
        - name: phone
          in: query
          description: The phone number information you want to get
          schema:
            type: string
        - name: loginId
          in: header
          description: LoginId (aka APIKey)
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GCQueryResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
      security: []
components:
  schemas:
    GCQueryResponse:
      type: object
      properties:
        Country:
          type: string
          nullable: true
        ISO:
          type: string
          nullable: true
        RegionCode:
          type: string
          nullable: true
        RegionName:
          type: string
          nullable: true
        City:
          type: string
          nullable: true
        TimeZone:
          type: string
          nullable: true
        UTC:
          type: string
          nullable: true
        DST:
          type: string
          nullable: true
        Latitude:
          type: string
          nullable: true
        Longitude:
          type: string
          nullable: true
        NumberType:
          type: string
          nullable: true
        CarrierName:
          type: string
          nullable: true
        Language:
          type: string
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    LoginId:
      type: apiKey
      description: >-
        LoginId Authentication: Authenticate using the LoginId generated from
        DNCScrub User Manager. In HTTP header place "loginId: {loginId}"
      name: loginId
      in: header

````